Apache 2.4 not running php OpenBSD 6.4

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Apache 2.4 not running php OpenBSD 6.4

mansoor
Hi,
I hope you guys are doing great.

I am using OpenBSD 6.4, apache-httpd-2.4.35, php version 5.6.
I have disabled default httpd of OpenBSD, now apache2 is showing plain php
code in browser it doesn't process php at all.

I couldn't find solution to this problem on stackOverflow (or any other site
on internet).
Please help me if anyone know about this problem.
Thanks.




--
Sent from: http://openbsd-archive.7691.n7.nabble.com/openbsd-user-misc-f3.html

Reply | Threaded
Open this post in threaded view
|

Re: Apache 2.4 not running php OpenBSD 6.4

Tony Boston-2
IT is not about going to sites like stackoverflow or asking for solutions on mailing lists especially THIS topic doesn’t have anything to do with openbsd.
You should learn the basics and your “issue” is very basic.
I bet the logs you’ll get from either application tell you what the problem is but you don’t seem to even know that this would be the first start to solving problems..


--
Tony

GPG-FP: 49CC8250 CDCF2183 6209C1AE 625677C1 F7783D5F
Threema: DN8PJX4Z





> On 11. Jul 2019, at 08:40, mansoor <[hidden email]> wrote:
>
> Hi,
> I hope you guys are doing great.
>
> I am using OpenBSD 6.4, apache-httpd-2.4.35, php version 5.6.
> I have disabled default httpd of OpenBSD, now apache2 is showing plain php
> code in browser it doesn't process php at all.
>
> I couldn't find solution to this problem on stackOverflow (or any other site
> on internet).
> Please help me if anyone know about this problem.
> Thanks.
>
>
>
>
> --
> Sent from: http://openbsd-archive.7691.n7.nabble.com/openbsd-user-misc-f3.html
>

Reply | Threaded
Open this post in threaded view
|

Re: Apache 2.4 not running php OpenBSD 6.4

George-2
In reply to this post by mansoor
Hi,

Seems like Apache is not using the module, i.e. it treats as text, it needs to run you php code. I think if you share some relevant parts of your configuration and prove that you have the necessary tools installed and working you will get better feedback.

Regards,
George


On July 11, 2019 2:40:42 AM EDT, mansoor <[hidden email]> wrote:

>Hi,
>I hope you guys are doing great.
>
>I am using OpenBSD 6.4, apache-httpd-2.4.35, php version 5.6.
>I have disabled default httpd of OpenBSD, now apache2 is showing plain
>php
>code in browser it doesn't process php at all.
>
>I couldn't find solution to this problem on stackOverflow (or any other
>site
>on internet).
>Please help me if anyone know about this problem.
>Thanks.
>
>
>
>
>--
>Sent from:
>http://openbsd-archive.7691.n7.nabble.com/openbsd-user-misc-f3.html

--
Sent from my Android device with K-9 Mail. Please excuse my brevity.
Reply | Threaded
Open this post in threaded view
|

Re: Apache 2.4 not running php OpenBSD 6.4

Solene Rapenne
In reply to this post by mansoor
On Wed, Jul 10, 2019 at 11:40:42PM -0700, mansoor wrote:

> Hi,
> I hope you guys are doing great.
>
> I am using OpenBSD 6.4, apache-httpd-2.4.35, php version 5.6.
> I have disabled default httpd of OpenBSD, now apache2 is showing plain php
> code in browser it doesn't process php at all.
>
> I couldn't find solution to this problem on stackOverflow (or any other site
> on internet).
> Please help me if anyone know about this problem.
> Thanks.
>

You need to install the php apache module. It should be explained in the
php README file in /usr/local/share/doc/pkg-readmes/